Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jexl.util.introspection
Interface Uberspect

All Known Implementing Classes:
  UberspectImpl

public interface Uberspect

'Federated' introspection/reflection interface to allow the introspection behavior in Velocity to be customized.

Version:
  $Id: Uberspect.java,v 1.4 2004/02/28 13:45:21 yoavs Exp $

Method Summary
`Iterator` | `getIterator(Object obj, Info info)` To support iteratives - #foreach()
`VelMethod` | `getMethod(Object obj, String method, Object[] args, Info info)` Returns a general method, corresponding to $foo.bar( $woogie )
`VelPropertyGet` | `getPropertyGet(Object obj, String identifier, Info info)` Property getter - returns VelPropertyGet appropos for #set($foo = $bar.woogie)
`VelPropertySet` | `getPropertySet(Object obj, String identifier, Object arg, Info info)` Property setter - returns VelPropertySet appropos for #set($foo.bar = "geir")
`void` | `init()` Initializer - will be called before use

Method Detail

### init

    public void init()
              throws Exception

  Initializer - will be called before use

### getIterator

    public Iterator getIterator(Object obj,
                                Info info)
                         throws Exception

  To support iteratives - #foreach()

### getMethod

    public VelMethod getMethod(Object obj,
                               String method,
                               Object[] args,
                               Info info)
                        throws Exception

  Returns a general method, corresponding to $foo.bar( $woogie )

### getPropertyGet

    public VelPropertyGet getPropertyGet(Object obj,
                                         String identifier,
                                         Info info)
                                  throws Exception

  Property getter - returns VelPropertyGet appropos for #set($foo = $bar.woogie)

### getPropertySet

    public VelPropertySet getPropertySet(Object obj,
                                         String identifier,
                                         Object arg,
                                         Info info)
                                  throws Exception

  Property setter - returns VelPropertySet appropos for #set($foo.bar = "geir")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2004 The Apache Software Foundation. All Rights Reserved.